---
title: generateRequest()
slug: Web/API/MediaKeySession/generateRequest
tags:
  - API
  - EncryptedMediaExtensions
  - Experimental
  - MediaKeySession
  - Method
  - NeedsExample
  - Reference
  - generateRequest
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <code>MediaKeySession.generateRequest()</code> method returns a {{jsxref('Promise')}} after generating a media request based on initialization data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>mediaKeySession</var>.generateRequest().then(function) { ... });</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#dom-mediakeysession-generaterequest', 'generateRequest()')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.generateRequest")}}</p>
</div>
